

#include "함수묶음.h"

#include "GUI_설정비트.h"

#include "main.h"
#include "GUI.h"
#include "일반함수.h"


void Ide_모양만들기_설정비트(void)
{
  //[2011.09.24.토][생성!!!]{--
  //[설정비트] 번호를 출력한다.
  //}-------------------------

  //[VAR]
  //{
      char  문자열[256];

      int   i;

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  //[Lb_설정비트]
  //{
      _GLabel_생성_(gui->Lb_설정비트, gui->GVmos, GID_Lb_설정비트,
                   3, _GLabel_Y_(gui->Lb_EEprom문서, 0, d_읽기) + _GLabel_높이_(gui->Lb_EEprom문서, 0, d_읽기) + 6,
                   60, 16,
                   true);
      _GLabel_제목_(gui->Lb_설정비트, "[비트]", d_쓰기);
      _GLabel_자동폭_(gui->Lb_설정비트, true, d_쓰기);

  //}

  //[Lb_설정비트번호]
  //{
      //비트번호(7) 부터 위에서 아래로 배치한다.
      for(i = 7; i >= 0; i--)
      {
        _GLabel_생성_(gui->Lb_설정비트번호[i], gui->GVmos, GID_Lb_설정비트번호 + i,
                     18, _GLabel_Y_(gui->Lb_설정비트, 0, d_읽기) + _GLabel_높이_(gui->Lb_설정비트, 0, d_읽기) + (18 * (7 - i)) + 2,
                     12, 16,
                     true);

        _Conv_Long값_문자열_(i, 0, false, false, 문자열);

        _GLabel_제목_(gui->Lb_설정비트번호[i], 문자열, d_쓰기);

        _GLabel_자동폭_(gui->Lb_설정비트번호[i], true, d_쓰기);

      }

  //}

}

void Ide_모양삭제_설정비트(void)
{
  //[2011.11.22.화][생성!!!]{--------
  //[설정비트] 번호를 삭제한다.
  //
  //[2012.04.30.월][수정!!!]---------
  //안전을 위하여 선언한 역순으로 삭제한다.
  //}-------------------------------

  //[VAR]
  //{
      int   i;

  //}

  //[GUI]{----------
  struct GUI  *gui;
  GUI_위치얻기(&gui);
  //}---------------

  for(i = 7; i >= 0; i--)
  {
    _GLabel_삭제_(gui->Lb_설정비트번호[i]);

  }

  _GLabel_삭제_(gui->Lb_설정비트);

}

